searchData={"items":[{"type":"task","title":"mix live_debugger.install","doc":"Installs live_debugger. Use `mix igniter.install live_debugger` to call. Requires igniter to run.","ref":"Mix.Tasks.LiveDebugger.Install.html"},{"type":"task","title":"Example - mix live_debugger.install","doc":"```bash\nmix igniter.install live_debugger\n```","ref":"Mix.Tasks.LiveDebugger.Install.html#module-example"},{"type":"extras","title":"Welcome to LiveDebugger","doc":"![LiveDebugger_Chrome_WebStore](images/banner.jpg)\n\nLiveDebugger is a browser-based tool for debugging applications written in [Phoenix LiveView](https://github.com/phoenixframework/phoenix_live_view) - an Elixir library designed for building rich, interactive online experiences with server-rendered HTML.\n\nDesigned to enhance your development experience LiveDebugger gives you:\n\n- A detailed view of your LiveComponents tree\n- The ability to inspect assigns for LiveViews and LiveComponents\n- Tracing of their callback executions","ref":"welcome.html"},{"type":"extras","title":"Installation - Welcome to LiveDebugger","doc":"> #### Important {: .info}\n>\n> LiveDebugger should not be used on production - make sure that the dependency you've added is `:dev` only\n\n<!-- tabs-open -->","ref":"welcome.html#installation"},{"type":"extras","title":"Mix installation - Welcome to LiveDebugger","doc":"Add `live_debugger` to your list of dependencies in `mix.exs`:\n\n```elixir\n  defp deps do\n    [\n      {:live_debugger, \"~> 0.1.7\", only: :dev}\n    ]\n  end\n```\n\nFor full experience we recommend adding below line to your application root layout. It attaches `meta` tag and LiveDebugger scripts in dev environment enabling browser features.\n\n```elixir\n  # lib/my_app_web/components/layouts/root.html.heex\n\n   \n    <%= Application.get_env(:live_debugger, :live_debugger_tags) %>\n   \n```\n\nAfter you start your application, LiveDebugger will be running at a default port `http://localhost:4007`.","ref":"welcome.html#mix-installation"},{"type":"extras","title":"Igniter installation - Welcome to LiveDebugger","doc":"LiveDebugger has [Igniter](https://github.com/ash-project/igniter) support - an alternative for standard mix installation. It'll automatically add LiveDebugger dependency and modify your `root.html.heex` after you use the below command.\n\n```bash\nmix igniter.install live_debugger\n```\n\n<!-- tabs-close -->","ref":"welcome.html#igniter-installation"},{"type":"extras","title":"Authors - Welcome to LiveDebugger","doc":"LiveDebugger is created by Software Mansion.\n\nSince 2012 [Software Mansion](https://swmansion.com/?utm_source=git&utm_medium=readme&utm_campaign=livedebugger) is a software agency with experience in building web and mobile apps as well as complex multimedia solutions. We are Core React Native Contributors, Elixir ecosystem experts, and live streaming and broadcasting technologies specialists. We can help you build your next dream product – [Hire us](https://swmansion.com/contact/projects).\n\nCopyright 2025, [Software Mansion](https://swmansion.com/?utm_source=git&utm_medium=readme&utm_campaign=livedebugger)\n\n[![Software Mansion](https://logo.swmansion.com/logo?color=white&variant=desktop&width=200&tag=livedebugger-github)](https://swmansion.com/?utm_source=git&utm_medium=readme&utm_campaign=livedebugger)\n\nLicensed under the [Apache License, Version 2.0](LICENSE)","ref":"welcome.html#authors"},{"type":"extras","title":"Configuration","doc":"","ref":"config.html"},{"type":"extras","title":"Browser features - Configuration","doc":"Some features require injecting JS into the debugged application. They are enabled by default, but you can disable them in your config.\n\n```elixir\n# config/dev.exs\n\n# Disables all browser features and does not inject LiveDebugger JS\nconfig :live_debugger, browser_features?: false\n\n# Disables only debug button\nconfig :live_debugger, debug_button?: false\n```","ref":"config.html#browser-features"},{"type":"extras","title":"Content Security Policy - Configuration","doc":"In `router.ex` of your Phoenix app, make sure your locally running Phoenix app can access the LiveDebugger JS files on port 4007. To achieve that you may need to extend your CSP in `:dev` mode:\n\n```elixir\n  @csp \"{...your CSP} #{if Mix.env() == :dev, do: \"http://127.0.0.1:4007\"}\"\n\n  pipeline :browser do\n    # ...\n    plug :put_secure_browser_headers, %{\"content-security-policy\" => @csp}\n```","ref":"config.html#content-security-policy"},{"type":"extras","title":"Other - Configuration","doc":"```elixir\n# config/dev.exs\n\nconfig :live_debugger,\n  ip: {127, 0, 0, 1}, # IP on which LiveDebugger will be hosted\n  port: 4007, # Port on which LiveDebugger will be hosted\n  secret_key_base: \"YOUR_SECRET_KEY_BASE\", # Secret key used for LiveDebugger.Endpoint\n  signing_salt: \"your_signing_salt\", # Signing salt used for LiveDebugger.Endpoint\n  adapter: Bandit.PhoenixAdapter, # Adapter used in LiveDebugger.Endpoint\n  server: true, # Forces LiveDebugger to start even if project is not started with the `mix phx.server`\n  tracing_setup_delay: 0 # Time in ms after tracing will be initialized. Useful in case multi-nodes envs\n```","ref":"config.html#other"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}